---
- hosts: cdn
  gather_facts: true
  become: true
  
  roles:
    - common
    - init-nginx
    - update-to-tls

  post_tasks:
  - name: check web site from control server by secure connect
    uri:
      url: "https://{{ ansible_host }}:{{ nginx_port_tls }}"
      return_content: true
      validate_certs: false
    register: _result
    failed_when: _result.status != 200
    connection: local
    tags:
      - healthcheck

  - name: check web site from control server by insecure connect - should redirect to https
    uri:
      url: "http://{{ ansible_host }}:{{ nginx_port_no_tls }}"
      return_content: true
      validate_certs: false
    register: _result
    failed_when: 'not "https" in _result.url or _result.status != 200'
    connection: local
    tags:
      - healthcheck